DATA example5_4;     
DO group=1 TO 2;            /*定义行变量，表明group有2行*/
DO effect=1 TO 4;           /*定义列变量，表明effect有4列*/
INPUT f@@;
OUTPUT;
END;
END;
CARDS;
33	24	1	2
18	31	9	2
;
PROC NPAR1WAY wilcoxon;     /*调用秩和检验程序，指定采用wilcoxon检验*/
CLASS group;                  /*指明分组变量*/
VAR effect;                   /*指明分析变量*/
FREQ f;                       
/*freq语句与proc freq命令中的weight语句类似，因为数据输入都是频数方式，因此通过freq指定f为频数*/
RUN;
